/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/creer_exercice.xul>
 * @include chrome://opensi/content/libs/util.js
 * @include chrome://opensi/content/libs/verif.js
 *
 */

function init() {
	try {
		document.getElementById("resultat").value = "RESULTAT DE L'EXERCICE: " + ParamValeur('Resultat');
		document.getElementById("annuler").focus();
	} catch (e) {
    recup_erreur('erreur dans compta/user/cloture/confirmation_cloture.js#init : ' + e);
  }
}

function cloture() {
	try {
		document.getElementById('progression').collapsed = false;
		setTimeout('cloture2()',100);
	} catch (e) {
    recup_erreur('erreur dans compta/user/cloture/confirmation_cloture.js#cloture : ' + e);
  }
}

function cloture2() {

	try {

    document.getElementById('bMenuPrincipal').disabled = true;
    document.getElementById('bFermerSession').disabled = true;
    document.getElementById('annuler').disabled = true;
    document.getElementById('valider').disabled = true;

		var JournalAN = ParamValeur('JournalAN');
		var DetailTiers = ParamValeur('DetailTiers');
		var AExtourner = ParamValeur('AExtourner');
		var JournalEX = ParamValeur('JournalEX');
		var DateEX = ParamValeur('DateEX');
		var Resultat = ParamValeur('Resultat');

		var corps = cookie() + "&Page=Compta/UpdateDatabase/Cloture.tmpl&ContentType=text";
    corps += "&Resultat="+ Resultat +"&JournalAN="+ JournalAN +"&DetailTiers="+ DetailTiers +"&AExtourner="+ AExtourner +"&JournalEX="+ JournalEX +"&DateEX="+ DateEX;

    var httpRequest = new XMLHttpRequest();
    requeteHTTP(corps,httpRequest,cloture3);

	} catch (e) {
    recup_erreur('erreur dans compta/user/cloture/confirmation_cloture.js#cloture2 : ' + e);
  }
}

function cloture3(httpRequest) {
	try {
  	if (httpRequest.status != "200") {
    	alert("Rception erreur " + httpRequest.status);
  	} else {
			alert(trim(httpRequest.responseText));
		}
	  set_cookie('Cloturable',0);
		var page = "chrome://opensi/content/compta/user/menu_dossier.xul?" + cookie();
		page += "&Libelle=" + parent.document.getElementById("nom_dossier").value;
		window.location = page;
	} catch (e) {
    recup_erreur('erreur dans compta/user/cloture/confirmation_cloture.js#cloture3 : ' + e);
  }
}

function retour_menu_principal() {
	try {
  	var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie();
		page += "&Dates=" + parent.document.getElementById("date_exercice").value;
  	window.location = page;
	} catch (e) {
    recup_erreur('erreur dans compta/user/cloture/confirmation_cloture.js#retour_menu_principal : ' + e);
  }
}


/*function retour_exercice() {
	try {
  	var page = "chrome://opensi/content/compta/user/menu_dossier.xul?" + cookie();
  	page += "&Libelle=" + parent.document.getElementById("nom_dossier").value;
  	window.location = page;
	} catch (e) {
    recup_erreur('erreur dans compta/user/cloture/confirmation_cloture.js#retour_exercice : ' + e);
  }
}*/