/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/edition/menu_edition.xul>
 *
 * @include chrome://opensi/content/libs/util.js
 * @include chrome://libopensi/content/load_rdf.js
 *
 */

var page = "";
 
function init(){
  try {
    var paramlist = "&Page=Compta/GetRDF/Etats.tmpl&ContentType=xml";
    load_rdf_async('boutons', getUrlOpeneas(paramlist), init2);   
  } catch (e) {
    recup_erreur('erreur dans compta/user/edition/menu_edition.js#init : ' + e);
  }
}

function init2(ds) {
  try {
    document.getElementsByTagName('button')[1].focus();		
  } catch (e) {
    recup_erreur('erreur dans compta/user/edition/menu_edition.js#init2 : ' + e);
  }
}


function goToMenu(num) {
	try {
		var page;
	
		switch (num) {
			case 1: page = "chrome://opensi/content/compta/user/edition/options_balance.xul?"; break;
			case 2: page = "chrome://opensi/content/compta/user/edition/options_centralisateur.xul?"; break;
			case 3: page = "chrome://opensi/content/compta/user/edition/options_grandlivre.xul?"; break;
			case 4: page = "chrome://opensi/content/compta/user/edition/options_journaux.xul?"; break;
			case 5: page = "chrome://opensi/content/compta/user/edition/options_balanceagee.xul?"; break;
		}		
		
		window.location = page + cookie();
	} catch (e) {
    recup_erreur('erreur dans compta/user/edition/menu_edition.js#goToMenu : ' + e);
  }
}


function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/edition/menu_edition.js#retour_menu_principal : ' + e);
  }
}


function editer_etat(t) {
  try {
    var page = "chrome://opensi/content/compta/user/edition/etat.xul?" + cookie() ;
    page += "&Servlet=" + t.tooltip;
    page += "&Page=" + t.menu;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/edition/menu_edition.js#editer_etat : ' + e);
  }
}
