/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/menu.xul>
 * @include chrome://libopensi/content/load_rdf.js
 * @include chrome://opensi/content/libs/util.js
 * @include chrome://opensi/content/libs/verif.js
 *
 */

var tree;
var out;
var datasource;

function init() {
  var paramlist = "&Page=Compta/GetRDF/RechercheDossier.tmpl&ContentType=xml";
  load_rdf('tree01', getUrlOpeneas(paramlist)); 
  parent.document.getElementById("nom_dossier").value = "";
  parent.document.getElementById("date_exercice").value = "";
  document.getElementById('dossier').focus();
}

function belongs(num_dossier) {
  var v = document.getElementById('tree01').view;
  for (i=0;i<v.rowCount;i++) {
    if (num_dossier.toUpperCase() == v.getCellText(i,'num').toUpperCase())  {
      menu_libelle_dossier = v.getCellText(i,'lib');
      return v.getCellText(i,'num');
    }
  }
  return '';
}

function ok() {
  var saisie_dossier = document.getElementById("dossier").value;
//  var v = document.getElementById('tree01').view;
  if (saisie_dossier == ' ') {
    rech();
  }
  else {
    var num_dossier = belongs(saisie_dossier);
    if (isEmpty(num_dossier)) {
      alert("Numero de dossier invalide");
      document.getElementById("dossier").value = '';
      document.getElementById("dossier").focus();
    } else {
      set_cookie('Dossier_Id',num_dossier);
      var page = "chrome://opensi/content/compta/user/menu_dossier.xul?" + cookie() ;
      page += "&Libelle=Dossier+:+" + num_dossier + "+-+" + menu_libelle_dossier;
      window.location = page;
    }
  }
}

function rech() {
  document.getElementById('tree01').focus();
}

function reporter(tree) {
  var selection = tree.contentView.getItemAtIndex(tree.currentIndex);
  var text = selection.firstChild.firstChild.getAttribute("label");
  document.getElementById("dossier").value = text;
}

function keypress(e,id) {
  switch (id) {
    case "dossier":
      switch(e.keyCode) {
        case 13:
          ok();
        break;
        case 123:
          rech();
        break;
      }
    break;
  }
}