/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/menu_exercice.xul>
 * @include chrome://libopensi/content/load_rdf.js
 * @include chrome://opensi/content/libs/util.js
 *
 */

serveur = get_pref_ipserveur() + ":" + get_pref_porttomcat();
 
 
function init() {
  try {
		
		document.getElementById('news').setAttribute("src", "http://www.speedinfo.fr/speedinfo/expershop?Page=OpenSI/DisplayNewsOpensi.tmpl"+nocache());
																																							
    //var paramlist = "&Page=Compta/GetRDF/balance_agee.tmpl&ContentType=xml";
    parent.document.getElementById("date_exercice").value = ParamValeur('Dates');
    //load_rdf('grille', getUrlOpeneas(paramlist));
		document.getElementById('bouton_saisie').focus();
		
    if (get_cookie('Writeable') == '0') {
      document.getElementById('bouton_saisie').collapsed=true;
			document.getElementById('bouton_ecritures').collapsed=false;
      document.getElementById('bouton_cloture').collapsed = true;
			document.getElementById('message').collapsed = false;
			document.getElementById('bouton_ecritures').focus();
			
    } else if (get_cookie('Cloturable') == '0') {
      document.getElementById('bouton_cloture').collapsed = true;			
    }
    
  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#init : ' + e);
  }
}

function saisie() {
  try {
    var page = "chrome://opensi/content/compta/user/saisie/menu_saisie.xul?" + cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#saisie : ' + e);
  }
}

function edition() {
  try {
    var page = "chrome://opensi/content/compta/user/edition/menu_edition.xul?" + cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#edition : ' + e);
  }
}

function consultation() {
  try {
    var page = "chrome://opensi/content/compta/user/consultation/menu_consultation.xul?";
    page += cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#consultation : ' + e);
  }
}

function cloture() {
  try {
    var page = "chrome://opensi/content/compta/user/cloture/options_cloture.xul?" + cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#cloture : ' + e);
  }
}

function tabbord() {
	try {
		var page = "chrome://opensi/content/compta/user/tab_bord/menu_bord.xul?" + cookie();
    window.location = page;
	} catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#tabbord : ' + e);
  }
}

function autres() {
  try {
	  var page = "chrome://opensi/content/compta/user/autres/menu_autres.xul?" + cookie();
  	window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#autres : ' + e);
  }
}

function retour_exercice() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_dossier.xul?" + cookie() ;
    page += "&Libelle=" + parent.document.getElementById("nom_dossier").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#retour_exercice : ' + e);
  }
}

function balance(t) {
  try {
    var page = "chrome://opensi/content/compta/user/edition/etat.xul?" + cookie() ;
    page += "&Servlet=" + t.tooltip;
    page += "&Page=" + t.menu;
    page += "&Type=" + t.label;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#balance : ' + e);
  }
}

/****************************************************
 * Rcupre le nombre d'critures sur la base
 ****************************************************/
function get_nb_ecritures_banque(){

  try {

    var corps = cookie() + "&Page=Compta/GetNbEcrituresBanque.tmpl&ContentType=xml";
    var p = requeteHTTP(corps);

    if ( p.status != "200" ) {
      alert("Rception erreur " + p.status);
      return '';
    } else {
      var contenu=p.responseXML;
      var session = contenu.documentElement;
      var nbecr =  session.getAttribute('nb');
      return parseInt(nbecr);
    }  
    
  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#get_nb_ecritures_banque : ' + e);
  }

}
