/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


var facture_id;
var mode_ligne;
var mode;
var mode_tarif;
var httpRequest;
var valContact = 0;

function init() {   
  try { 
    
		var paramlist = "&Page=Manager/GetRDF/modes_reglement.tmpl&ContentType=xml";
    load_rdf_async('Mode_Reg', getUrlOpeneas(paramlist), initMode);

		setModeTarif();
		
		var paramlist = "&Page=Manager/GetRDF/taux_tva.tmpl&ContentType=xml";
    load_rdf_async('Code_TVA', getUrlOpeneas(paramlist), initTVA);

		paramlist = "&Page=Facturation/GetRDF/liste_commerciaux.tmpl&ContentType=xml";
  	load_rdf_async('Login_Resp', getUrlOpeneas(paramlist), initResp);		
		
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#init : ' + e);
	}   
}

function initResp() {
  try { 

		document.getElementById('Login_Resp').selectedIndex = 0;
		
		window.parent.addEventListener("close",demandeEnregistrement,false);
		
		mode = ParamValeur("Mode");
		
		if (mode=="C") {
			nouvelleFacture();
		}
		else {
		
			// chargement

			facture_id = ParamValeur("Facture_Id");	

			init_tree();

			var corps = cookie() + "&Page=Facturation/Factu_Directe/loadArticleFactureTemp.tmpl&ContentType=none";
      corps += "&Facture_Id="+ facture_id;
			requeteHTTP(corps);              

/*
			var corps = cookie() + "&Page=Facturation/Factu_Directe/getCoordonnees.tmpl&ContentType=xml";
      corps = "&Facture_Id="+ facture_id;		
			var p = requeteHTTP(corps);              

  		if (p.status != "200") {
    		alert("Rception erreur " + p.status);
  		} 
			else {
				var contenu = p.responseXML.documentElement;
        document.getElementById('Raison_Sociale').value = contenu.getAttribute('Raison_Sociale');
        document.getElementById('Adresse_Fact').value = contenu.getAttribute('Adresse_Fact');
        document.getElementById('Comp_Adresse_Fact').value = contenu.getAttribute('Comp_Adresse_Fact');
        document.getElementById('CP_Fact').value = contenu.getAttribute('CP_Fact');
        document.getElementById('Ville_Fact').value = contenu.getAttribute('Ville_Fact');
        document.getElementById('Login_Resp').value = contenu.getAttribute('Responsable');
			}
*/
      if (mode == "V") {
        disableAll();
      } else {
			  ajouterLigne("I");
      }
			//		
		}
		
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#initResp : ' + e);
	}
}

function setModeTarif() {
	try {

    var corps = cookie() + "&Page=Manager/ParamDossier/getParamDossier.tmpl&ContentType=xml";
    corps += "&Dossier_Id=" + get_cookie('Dossier_Id');
    var p = requeteHTTP(corps);

		if (p.status != "200") {
      alert("Rception erreur " + p.status);
    } 
  	else {			
    	var contenu = p.responseXML.documentElement;			
			mode_tarif = contenu.getAttribute('Mode_Tarif');
      if (mode_tarif == 'G'){
        document.getElementById('row_tarif').collapsed = false;
      }
		}
		
	} catch (e) {
		recup_erreur('erreur dans facturation/user/stocks/contenuPrix.js#setModeTarif : ' + e);
	} 
}


function desinit() {
	try {
	
		window.parent.removeEventListener("close",demandeEnregistrement,false);
		
	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#desinit : ' + e);
  }	
}


function initTVA() {
	try {
	
    document.getElementById('Code_TVA').value = 4;
    
	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#initTVA : ' + e);
  }
}


function initMode() {
	try {
	
    document.getElementById('Mode_Reg').selectedIndex = 0;
		setModifie(false);
    
	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#initMode : ' + e);
  }
}

function rechercherClient() {
  try {
	
		var url = "chrome://opensi/content/facturation/user/clients/rech_client.xul?"+ cookie();
    url += "&Nouv=false&Modif_Action=false&Field_Client=Client_Id&Bloque=true";
    window.openDialog(url,'','chrome,modal');
		
		if (document.getElementById("Client_Id").value != "") {
			setModifie(true);
			charger_coordfact();
		}
	
	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_directe/edition_facture.js#rechercherClient : ' + e);
  }
}

function newInterlocuteur() {
	try {

		var url = "chrome://opensi/content/facturation/user/affaires/ajouter_interlocuteur.xul?" + cookie();
    url += "&Client_Id="+ urlEncode(document.getElementById("Client_Id").value);
		window.openDialog(url,'','chrome,modal');

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/affaires/fiche_affaire.js#newInterlocuteur : ' + e);
  }
}

function charger_contacts(val) {
  try {
		
		delete_contacts();
		
		valContact = val;
		
		var client_id = document.getElementById("Client_Id").value;
		
		var paramlist = "&Page=Facturation/GetRDF/contacts_client.tmpl&ContentType=xml&Client_Id="+ urlEncode(client_id);
    load_rdf_async('lsInterlocuteur', getUrlOpeneas(paramlist), initContacts);
		
	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/affaires/fiche_affaire.js#charger_contacts : ' + e);
  }
}


function delete_contacts() {
  try {
	
    var database = document.getElementById('lsInterlocuteur').database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('lsInterlocuteur').builder.rebuild();
		document.getElementById('lsInterlocuteur').selectedIndex = -1;
		
  } catch (e) {
    recup_erreur('erreur dans erreur dans facturation/user/affaires/fiche_affaire.js#delete_contacts: ' + e);
  }
}


function initContacts() {
  try {
    document.getElementById('row_inter').collapsed=true;
    document.getElementById('row_list_inter').collapsed=false;
		document.getElementById('lsInterlocuteur').value = valContact;
	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/affaires/fiche_affaire.js#initContacts : ' + e);
  }
}

function charger_coordfact() {
  try {

		var client_id = document.getElementById("Client_Id").value;

		var corps = cookie() + "&Page=Facturation/Affaires/getCoordFact.tmpl&ContentType=xml";
    corps += "&Client_Id="+ urlEncode(client_id);
		
    httpRequest = new XMLHttpRequest();
    requeteHTTP(corps,httpRequest,suite_charger_coordfact);

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_directe/edition_facture.js#charger_coordfact : ' + e);
  }
}

function suite_charger_coordfact() {
  try {
  	if (httpRequest.status != "200") {
    	alert("Rception erreur " + p.status);
  	} 
		else {
			var contenu = httpRequest.responseXML.documentElement;
			document.getElementById("Raison_Sociale").value = contenu.getAttribute("Raison_Sociale");
			document.getElementById("Adresse_Fact").value = contenu.getAttribute("Adresse_Fact");
			document.getElementById("Comp_Adresse_Fact").value = contenu.getAttribute("Comp_Adresse_Fact");
			document.getElementById("CP_Fact").value = contenu.getAttribute("CP_Fact");
			document.getElementById("Ville_Fact").value = contenu.getAttribute("Ville_Fact");
      var code_tarif = contenu.getAttribute("Code_Tarif");
      if (! isEmpty(code_tarif)) {
        document.getElementById("code_tarif").value = code_tarif;
      }
      charger_contacts(0);
		}
	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_directe/edition_facture.js#suite_charger_coordfact : ' + e);
  }
}

function disableInfos() {
	try {
	
		document.getElementById('bRechClient').disabled = true;
		document.getElementById('Raison_Sociale').disabled = true;
		document.getElementById('Adresse_Fact').disabled = true;
		document.getElementById('Comp_Adresse_Fact').disabled = true;
		document.getElementById('CP_Fact').disabled = true;
		document.getElementById('Ville_Fact').disabled = true;
		document.getElementById('code_tarif').disabled = true;
		document.getElementById('Login_Resp').disabled = true;
		document.getElementById('lsInterlocuteur').disabled = true;
		document.getElementById('Prenom_Inter').disabled = true;
		document.getElementById('Nom_Inter').disabled = true;

	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#disableInfos : ' + e);
  }
}

function disableAll() {
	try {
	
    disableInfos();

		document.getElementById('Commentaires').disabled = true;
		document.getElementById('Imp_Com').disabled = true;
		document.getElementById('Remise').disabled = true;
		document.getElementById('Escompte').disabled = true;
		document.getElementById('Acompte').disabled = true;
		document.getElementById('Frais_Port').disabled = true;
		document.getElementById('Echeance').disabled = true;
		document.getElementById('Mode_Reg').disabled = true;
		
		document.getElementById('bCommentaire').disabled = true;
		document.getElementById('bArticle').disabled = true;
		document.getElementById('bEnregistrer').disabled = true;

    document.getElementById('bAnnuler').disabled = true;
		document.getElementById('bValider').disabled = true;
		document.getElementById('bSupprimer').disabled = true;

    document.getElementById('Quantite').disabled = true;
    document.getElementById('PU').disabled = true;
    document.getElementById('Ristourne').disabled = true;
		
		formatLigne("");
	
	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#disableAll : ' + e);
  }
}


function ajouterLigne(type_ligne) {
  try {		

		document.getElementById('bSupprimer').disabled = true;
		mode_ligne = "C";

		document.getElementById("Type_Ligne").value = type_ligne;

		formatLigne(type_ligne);

		switch(type_ligne) {
			case "S":			
				var url = "chrome://opensi/content/facturation/user/stocks/rech_stocks.xul?"+ cookie();
        url += "&Nouv=false&Modif_Action=false&Field_Article=Reference";
    		window.openDialog(url,'','chrome,modal');

				var reference = document.getElementById("Reference").value;

				if (!isEmpty(reference)) {

					//if (mode=="C" || !dejaPresente(reference)) {							

						if (mode_tarif=='Q') {
							
							var url = "chrome://opensi/content/facturation/user/affaires/choix_tarif.xul?"+ cookie();
              url += "&Article_Id="+ urlEncode(reference);
    					window.openDialog(url,'','chrome,modal');
						
							var tarif_id = document.getElementById('Tarif_Id').value;
							
							if (!isEmpty(tarif_id)) {
							
								var corps = cookie() + "&Page=Facturation/Affaires/getArticleQte.tmpl&ContentType=xml";
                corps += "&Article_Id="+ urlEncode(reference);
								corps += "&Tarif_Id="+ tarif_id;
								
								var p = requeteHTTP(corps);              

  							if (p.status != "200") {
    							alert("Rception erreur " + p.status);
  							} 
								else {
									var contenu = p.responseXML.documentElement;

									document.getElementById("Designation").value = contenu.getAttribute("Designation");
									document.getElementById('Quantite').value = contenu.getAttribute("Quantite");
									document.getElementById("PU").value = contenu.getAttribute("Prix");
									document.getElementById('Ristourne').value = "0.00";
									document.getElementById("Code_TVA").value = contenu.getAttribute("Code_TVA");
									document.getElementById("Tarif_Id").value = "";
									document.getElementById("Libelle").value = contenu.getAttribute("Libelle");
								}								
							}	else {
								ajouterLigne("I");
							}							
						} else {
							var corps = cookie() + "&Page=Facturation/Affaires/getArticleTarif.tmpl&ContentType=xml";
              corps += "&Article_Id="+ urlEncode(reference);
              corps += "&Code_Tarif=" + document.getElementById('code_tarif').value;
							var p = requeteHTTP(corps);              

  						if (p.status != "200") {
    						alert("Rception erreur " + p.status);
  						} 
							else {
								var contenu = p.responseXML.documentElement;
								document.getElementById("Designation").value = contenu.getAttribute("Designation");
								document.getElementById('Quantite').value = 1;
								document.getElementById("PU").value = contenu.getAttribute("Prix");
								document.getElementById('Ristourne').value = "0.00";
								document.getElementById("Code_TVA").value = contenu.getAttribute("Code_TVA");
								document.getElementById('Libelle').value = "";
							}
						}
					/*}
					else {
						showWarning("Cet article est dj prsent dans la facture !");
						ajouterLigne("I");
					} */
				}
				else {
					ajouterLigne("I");
				}

				break;

			case "I": 

				document.getElementById('Reference').value = "";
				document.getElementById('Designation').value = "";
				document.getElementById('Quantite').value = 1;
				document.getElementById('PU').value = "";
				document.getElementById('Ristourne').value = "0.00";
				document.getElementById('Code_TVA').value = 4;
				document.getElementById('Libelle').value = "";
				break;	
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#ajouterLigne : ' + e);
	}
}


function formatLigne(type_ligne) {

  try {

		switch(type_ligne) {
			case "S":
        if (mode != 'V') {
				  document.getElementById('Reference').disabled = true;
				  document.getElementById('Designation').disabled = true;
				  document.getElementById('Quantite').disabled = false;
				  document.getElementById('PU').disabled = false;
				  document.getElementById('Ristourne').disabled = false;
				  document.getElementById('Code_TVA').disabled = true;
				  document.getElementById('bValider').disabled = false;
				  document.getElementById('bAnnuler').disabled = false;
        }
				break;
				
			case "I":
        if (mode != 'V') {
  				document.getElementById('Reference').disabled = false;
	  			document.getElementById('Designation').disabled = false;
		  		document.getElementById('Quantite').disabled = false;
			  	document.getElementById('PU').disabled = false;
				  document.getElementById('Ristourne').disabled = false;
				  document.getElementById('Code_TVA').disabled = false;
				  document.getElementById('bValider').disabled = false;
				  document.getElementById('bAnnuler').disabled = false;
        }
				break;
			
			default:
				document.getElementById('Reference').value = "";
				document.getElementById('Designation').value = "";
				document.getElementById('Quantite').value = "";
				document.getElementById('PU').value = "";
				document.getElementById('Ristourne').value = "";
				document.getElementById('Code_TVA').value = 4;
				document.getElementById('Libelle').value = "";
				document.getElementById('Reference').disabled = true;
				document.getElementById('Designation').disabled = true;
				document.getElementById('Quantite').disabled = true;
				document.getElementById('PU').disabled = true;
				document.getElementById('Ristourne').disabled = true;
				document.getElementById('Code_TVA').disabled = true;				
				document.getElementById('bSupprimer').disabled = true;
				document.getElementById('bValider').disabled = true;
				document.getElementById('bAnnuler').disabled = true;				
				break;
		}
	
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#formatLigne : ' + e);
	}

}


function dejaPresente(reference) {
  try {

		var corps = cookie() + "&Page=Facturation/Factu_Directe/existeArticle.tmpl&ContentType=xml";
    corps += "&Reference="+ urlEncode(reference);
    corps +="&Facture_Id="+ facture_id;		
		var p = requeteHTTP(corps);              

  	if (p.status != "200") {
    	alert("Rception erreur " + p.status);
			return false;
  	} 
		else {
			var contenu = p.responseXML.documentElement;

			return contenu.getAttribute("existe")=="true";
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#dejaPresente : ' + e);
	}
}


/*function pressOnLigne(ev) {
  try {
	
    switch(ev.keyCode) {
      case 13: // 'Enter'
        ouvrirLigne();
        break;
    }
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#pressOnLigne : ' + e);
  }
}*/


function pressOnWindow(ev) {
	try {
	
		if (ev.altKey) {
			switch(ev.charCode) {
      	case 97: // 'a'
        	ajouterLigne("S");
        	break;
				case 116: // 't'
					modifierTarif();
					break;
    	}
		}
	
	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#pressOnWindow : ' + e);
  }
}


function modifierTarif() {
	try {
	
		if (mode_ligne = "M" && document.getElementById('Type_Ligne').value=='S') {
		
			if (mode_tarif=='Q') {
				
				var reference = document.getElementById('Reference').value;
				
				var url = "chrome://opensi/content/facturation/user/affaires/choix_tarif.xul?"+ cookie() +"&Article_Id="+ urlEncode(reference);
    		window.openDialog(url,'','chrome,modal');

				var tarif_id = document.getElementById('Tarif_Id').value;

				if (!isEmpty(tarif_id)) {

					var corps = cookie() + "&Page=Facturation/Affaires/getArticleQte.tmpl&ContentType=xml&Article_Id="+ urlEncode(reference);
					corps += "&Tarif_Id="+ tarif_id;

					var p = requeteHTTP(corps);              

  				if (p.status != "200") {
    				alert("Rception erreur " + p.status);
  				} 
					else {
						var contenu = p.responseXML.documentElement;

						//document.getElementById("Designation").value = contenu.getAttribute("Designation");
						document.getElementById('Quantite').value = contenu.getAttribute("Quantite");
						document.getElementById("PU").value = contenu.getAttribute("Prix");
						//document.getElementById('Ristourne').value = "0.00";
						//document.getElementById("Code_TVA").value = contenu.getAttribute("Code_TVA");
						document.getElementById("Tarif_Id").value = "";
						document.getElementById('Libelle').value = contenu.getAttribute("Libelle");
					}								
				}						
			}		
		}
	
	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#modifierTarif : ' + e);
  }
}


function ouvrirLigne() {
  try {

		var tree = document.getElementById("articles");
		
		if (tree.view!=null && tree.currentIndex!=-1 && (mode=="M" || mode=="V")) {
		
			if (tree.view.getCellText(tree.currentIndex,'ColType_Ligne')=="C") {
				ajouterLigne("I");
			}
			else {
				mode_ligne = "M";
        if (mode == "M") {
  		    document.getElementById('bSupprimer').disabled = false;
        }

				document.getElementById("Reference").value = tree.view.getCellText(tree.currentIndex,'ColReference');
				document.getElementById("Designation").value = tree.view.getCellText(tree.currentIndex,'ColDesignation');
				document.getElementById("Quantite").value = tree.view.getCellText(tree.currentIndex,'ColQuantite');
				document.getElementById("PU").value = tree.view.getCellText(tree.currentIndex,'ColPU');
				document.getElementById("Code_TVA").label = tree.view.getCellText(tree.currentIndex,'ColTaux_TVA');
				document.getElementById("Ristourne").value = tree.view.getCellText(tree.currentIndex,'ColRistourne');			
				document.getElementById("Type_Ligne").value = tree.view.getCellText(tree.currentIndex,'ColType_Ligne');
				document.getElementById("Rank").value = tree.view.getCellText(tree.currentIndex,'ColRank');
				document.getElementById("Libelle").value = tree.view.getCellText(tree.currentIndex,'ColLibelle');

				formatLigne(document.getElementById("Type_Ligne").value);
			}
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#ouvrirLigne : ' + e);
	}
}

function ouvrirCommentaire() {
  try {

		var tree = document.getElementById("articles");
		
		if (tree.view!=null && tree.currentIndex!=-1 && mode=="M") {
		
			if (tree.view.getCellText(tree.currentIndex,'ColType_Ligne')=="C") {
				editerCommentaire();
			}
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#ouvrirCommentaire : ' + e);
	}
}


function validerLigne() {
  try {
		
		var type_ligne = document.getElementById("Type_Ligne").value;

		var reference = document.getElementById("Reference").value;
		var designation = document.getElementById("Designation").value;
		var quantite = document.getElementById("Quantite").value;
		var pu = document.getElementById("PU").value;
		var ristourne = document.getElementById("Ristourne").value;
		var code_tva = document.getElementById("Code_TVA").value;		
		var rank = document.getElementById("Rank").value;
		var libelle = document.getElementById("Libelle").value;	

		if (mode=="C") {
			enregistrerFacture();
		}
		
		if (mode_ligne=="C") {
			var corps = cookie() + "&Page=Facturation/Factu_Directe/ajouterArticle.tmpl&ContentType=xml";
		}
		else {
			var corps = cookie() + "&Page=Facturation/Factu_Directe/modifierArticle.tmpl&ContentType=xml";			
		}

		corps += "&Reference="+ urlEncode(reference);
    corps +="&Designation="+ urlEncode(designation);
    corps += "&Quantite="+ quantite;
    corps += "&Type_Ligne="+ type_ligne;
		corps += "&Prix="+ pu;
    corps += "&Ristourne="+ ristourne;
    corps += "&Code_TVA="+ code_tva;
    corps += "&Facture_Id="+ facture_id;
    corps += "&Rank="+ rank;
		corps += "&Libelle="+ urlEncode(libelle);
		
		if (isEmpty(designation)) { showWarning("Dsignation de l'article manquante !");	}
		//else if (type_ligne=="I" && isEmpty(reference)) { showWarning("Rfrence de l'article manquante !");	}
		else if (isEmpty(quantite) || !isPositiveInteger(quantite) || !checkDecimal(quantite,2)) {
      showWarning("Quantit incorrecte !");	
    }	else if (isEmpty(pu) || !checkDecimal(pu,4)) { showWarning("Prix unitaire incorrect !");	}
		else if (isEmpty(ristourne) || !isTaux(ristourne)) { showWarning("Taux de ristourne incorrect !");	}
		else {		
			var p = requeteHTTP(corps);              

  		if (p.status != "200") {
    		alert("Rception erreur " + p.status);
  		}
			else {
				//var contenu = p.responseXML.documentElement;
				ajouterLigne("I");
				delete_tree();
			  init_tree_temp();
				setModifie(true);
			}
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#validerLigne : ' + e);
	}
}


function annulerLigne() {
  try {
	
		ajouterLigne("I");
	
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#annulerLigne : ' + e);
	}
}

function supprimerLigne() {
  try {
	
		var rank = document.getElementById("Rank").value;
	
		var corps = cookie() + "&Page=Facturation/Factu_Directe/supprimerArticle.tmpl&ContentType=xml";
    corps += "&Facture_Id="+ facture_id ;
    corps += "&Rank="+ rank;
		var p = requeteHTTP(corps);  

  	if (p.status != "200") {
    	alert("Rception erreur " + p.status);
  	} 
		else {
			//var contenu = p.responseXML.documentElement;
			ajouterLigne("I");
			delete_tree();
			init_tree_temp();
			setModifie(true);
		}
	
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#supprimerLigne : ' + e);
	}
}


function enregistrerFacture() {
  try {
	
    var tree = document.getElementById('articles');

    if (mode != 'C' && (tree.view==null || tree.view.rowCount<=0)) {
	    showWarning("La facture ne contient aucune ligne !");
      return false;
    } else {

      var remise = document.getElementById('Remise').value;
		  var frais_port = document.getElementById('Frais_Port').value;
		  var escompte = document.getElementById('Escompte').value;
		  var acompte = document.getElementById('Acompte').value;
		  var echeance = document.getElementById('Echeance').value;
      var raison_sociale = document.getElementById('Raison_Sociale').value;
      var adresse_fact = document.getElementById('Adresse_Fact').value;
      var comp_adresse_fact = document.getElementById('Comp_Adresse_Fact').value;
      var cp_fact = document.getElementById('CP_Fact').value;
      var ville_fact = document.getElementById('Ville_Fact').value;

		  if (isEmpty(raison_sociale) || isEmpty(adresse_fact) || isEmpty(ville_fact) ) {
			  showWarning("Vous devez indiquer les coordonnes du client avant d'enregistrer la facture !");
		  } else if (isEmpty(echeance)) {
			  showWarning("Vous devez indiquer une date d'chance avant d'enregistrer la facture !");
		  }	else if (!isDate(echeance)) {
			  showWarning("Date d'chance incorrecte !");
		  }	else if (isEmpty(remise) || !isTaux(remise)) { showWarning("Taux de remise incorrect !"); }
		  else if (isEmpty(frais_port) || !isPositiveOrNull(frais_port)) { showWarning("Frais de port incorrects !"); }
		  else if (isEmpty(acompte) || !isPositiveOrNull(acompte)) { showWarning("Montant d'acompte incorrect !"); }
		  else if (isEmpty(escompte) || !isTaux(escompte)) { showWarning("Taux d'escompte incorrect !"); }
		  else {
		
			  var corps;
			
			  if (mode=="C") {
				  corps = cookie() + "&Page=Facturation/Factu_Directe/creerFacture.tmpl&ContentType=xml";
          corps += "&Raison_Sociale=" + raison_sociale;
          corps += "&Adresse_Fact=" + adresse_fact;
          corps += "&Comp_Adresse_Fact=" + comp_adresse_fact;
          corps += "&CP_Fact=" + cp_fact;
          corps += "&Ville_Fact=" + ville_fact;
  			  corps += "&Login_Resp="+ urlEncode(document.getElementById('Login_Resp').value);
          var client_id = document.getElementById('Client_Id').value;
          if (! isEmpty(client_id)) {
            corps += "&Client_Id=" + client_id;
          }
          corps += "&Code_Tarif=" + document.getElementById("code_tarif").value;
          if (document.getElementById('row_list_inter').collapsed) {
            corps += "&Prenom_Inter=" + document.getElementById('Prenom_Inter').value;
            corps += "&Nom_Inter=" + document.getElementById('Nom_Inter').value;
          } else {
            corps += "&Num_Inter=" + document.getElementById('lsInterlocuteur').value;
          }
			  }	else {
				  corps = cookie() + "&Page=Facturation/Factu_Directe/modifierFacture.tmpl&ContentType=xml"
          corps += "&Facture_Id="+ facture_id;
			  }

			  corps += "&Remise="+ remise;
        corps += "&Frais_Port="+ frais_port;
			  corps += "&Echeance="+ prepareDateJava(echeance);
			  corps += "&Mode_Reg="+ urlEncode(document.getElementById('Mode_Reg').value);
        corps += "&Escompte="+ escompte;
			  corps += "&Acompte="+ acompte;
			  corps += "&Commentaires="+ urlEncode(document.getElementById('Commentaires').value);
			  corps += "&Imp_Com="+ (document.getElementById('Imp_Com').checked?"1":"0");
        corps += "&TotalHT=" + document.getElementById('TotalHT').value;

			  var p = requeteHTTP(corps);

  		  if (p.status != "200") {
    		  alert("Rception erreur " + p.status);
  		  } else {

				  if (mode=="C") {
					  var contenu = p.responseXML.documentElement;
					  facture_id = contenu.getAttribute("Facture_Id");
					  chargerFacture();
				  }
			  }

			  if (mode=="M") {
				  corps = cookie() + "&Page=Facturation/Factu_Directe/saveArticleTemp.tmpl&ContentType=xml";
          corps += "&Facture_Id="+ facture_id;
				  requeteHTTP(corps);
			  }
			  setModifie(false);
		  }
    }
	
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#enregistrerFacture : ' + e);
	}
}


function calculTotaux() {
  try {
	
		var taux_remise = parseFloat(document.getElementById('Remise').value);
		var taux_escompte = parseFloat(document.getElementById('Escompte').value);
		var acompte = parseFloat(document.getElementById('Acompte').value);
		var frais_port = parseFloat(document.getElementById('Frais_Port').value);
		
		if (isTaux(taux_remise) && isTaux(taux_escompte) && isPositiveOrNull(frais_port) && isPositiveOrNull(acompte)) {
		
			var tree = document.getElementById("articles");
			
			var montant_tva = 0;
			var montant_ht = 0;
			var tva_port = getTva(4);
		
			if (tree.view!=null) {

				for (var i=0;i<tree.view.rowCount;i++) {

					if (tree.view.getCellText(i,'ColType_Ligne')!="C") {

            var aux = parseFloat(tree.view.getCellText(i,'ColTotal'));
						montant_ht += aux;
						montant_tva += aux * tree.view.getCellText(i,'ColTaux_TVA')/100;

					}			
				}			
			}

			var montant_remise = montant_ht * parseFloat(taux_remise/100);

			var total_ht = montant_ht * (1 - parseFloat(taux_remise/100)) + frais_port;

			montant_tva = montant_tva * (1 - parseFloat(taux_remise/100)) + frais_port * (tva_port/100);

			var montant_ttc = total_ht + montant_tva;

			var montant_escompte = montant_ttc * parseFloat(taux_escompte/100);

			var total_ttc = montant_ttc - montant_escompte - acompte;

			document.getElementById('MontantHT').value = formatNombre(montant_ht,"0.00");
			document.getElementById('MontantRemise').value = formatNombre(montant_remise,"0.00");
			document.getElementById('MontantFrais_Port').value = formatNombre(frais_port,"0.00");		
			document.getElementById('TotalHT').value = formatNombre(total_ht,"0.00");
			document.getElementById('TVA').value = formatNombre(montant_tva,"0.00");
			document.getElementById('MontantTTC').value = formatNombre(montant_ttc,"0.00");
			document.getElementById('MontantAcompte').value = formatNombre(acompte,"0.00");
			document.getElementById('MontantEscompte').value = formatNombre(montant_escompte,"0.00");
			document.getElementById('TotalTTC').value = formatNombre(total_ttc,"0.00");
		}
	
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#calculTotaux : ' + e);
	}
}


function demandeEnregistrement() {
  try {
	
		if (document.getElementById("Modifie").value=="y") {
			if (window.confirm("Voulez-vous enregistrer les modifications apportes  la facture ?")) {
				enregistrerFacture();
			}
		}
	
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#demandeEnregistrement : ' + e);
	}
}


function setModifie(m) {
  try {
	
		if (m) {
			document.getElementById('Modifie').value = "y";
			document.getElementById('labelFacture').setAttribute("label","Facture (modifi)");
			document.getElementById('bVisualiser').disabled = true;
		}
		else {
			document.getElementById('Modifie').value = "n";
			document.getElementById('labelFacture').setAttribute("label","Facture");
			document.getElementById('bVisualiser').disabled = false;
		}
	
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#setModifie : ' + e);
	}
}


function init_tree() {
  try {
    
    var paramlist = "&Page=Facturation/GetRDF/articles_facture.tmpl&ContentType=xml";
    paramlist += "&Facture_Id="+ facture_id;
    load_rdf_async('articles', getUrlOpeneas(paramlist),chargerFacture);
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#init_tree : ' + e);
  }
}

function delete_tree() {
  try {
    
    var database = document.getElementById("articles").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('articles').builder.rebuild();
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#delete_tree : ' + e);
  }
}


function nouvelleFacture() {
  try {
	
		mode = "C";

		document.getElementById('Commentaires').value = "";
		document.getElementById('Date_Facture').value = "";
		document.getElementById('Echeance').value = get_cookie('Today');
		document.getElementById('Numero').value = "";
		document.getElementById('Imp_Com').checked = false;
		document.getElementById('Remise').value = "0.00";
		document.getElementById('Acompte').value = "0.00";
		document.getElementById('Escompte').value = "0.00";
		document.getElementById('Frais_Port').value = "0.00";
		
		document.getElementById('MontantHT').value = "0.00";
		document.getElementById('MontantRemise').value = "0.00";
		document.getElementById('MontantFrais_Port').value = "0.00";		
		document.getElementById('TotalHT').value = "0.00";
		document.getElementById('TVA').value = "0.00";
		document.getElementById('MontantTTC').value = "0.00";
		document.getElementById('MontantEscompte').value = "0.00";
		document.getElementById('MontantAcompte').value = "0.00";
		document.getElementById('TotalTTC').value = "0.00";
	
		document.getElementById('Creation').label = "";
		document.getElementById('Modification').label = "";
		document.getElementById('Creation').collapsed = true;
		document.getElementById('Modification').collapsed = true;
		document.getElementById('Fiche').label = "";
		
  	document.getElementById('Remise').value = '0.00';

    document.getElementById('Login_Resp').value = get_cookie('User');

		ajouterLigne("I");
		
		delete_tree();
		
		setModifie(false);
		document.getElementById('bVisualiser').disabled = true;
	
	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_directe/edition_facture.js#nouvelleFacture : ' + e);
  }
}


function chargerFacture() {
  try {

		if (mode != 'V') mode = "M";
	
		var corps = cookie() + "&Page=Facturation/Factu_Directe/getFacture.tmpl&ContentType=xml";
    corps += "&Facture_Id="+ facture_id;

		var p = requeteHTTP(corps);              

  	if (p.status != "200") {
    	alert("Rception erreur " + p.status);
  	} 
		else {

			var contenu = p.responseXML.documentElement;
			var numero = contenu.getAttribute('Numero');

      disableInfos();

			document.getElementById('Remise').value = contenu.getAttribute('Remise');
			document.getElementById('Escompte').value = contenu.getAttribute('Escompte');
			document.getElementById('Acompte').value = contenu.getAttribute('Acompte');
			document.getElementById('Frais_Port').value = contenu.getAttribute('Frais_Port');
			document.getElementById('Commentaires').value = contenu.getAttribute('Commentaires');
			document.getElementById('Imp_Com').checked = contenu.getAttribute('Imp_Com')=="1";
			document.getElementById('Date_Facture').value = contenu.getAttribute('Date_Facture');
			document.getElementById('Numero').value = numero;
			document.getElementById('Echeance').value = contenu.getAttribute('Echeance');
			document.getElementById('Mode_Reg').value = contenu.getAttribute('Mode_Reg');
			document.getElementById('Client_Id').value = contenu.getAttribute('Client_Id');
			document.getElementById('code_tarif').value = contenu.getAttribute('Code_Tarif');

      document.getElementById('Raison_Sociale').value = contenu.getAttribute('Raison_Sociale');
      document.getElementById('Adresse_Fact').value = contenu.getAttribute('Adresse_Fact');
      document.getElementById('Comp_Adresse_Fact').value = contenu.getAttribute('Comp_Adresse_Fact');
      document.getElementById('CP_Fact').value = contenu.getAttribute('CP_Fact');
      document.getElementById('Ville_Fact').value = contenu.getAttribute('Ville_Fact');
      document.getElementById('Login_Resp').value = contenu.getAttribute('Login_Resp');
			document.getElementById('Nom_Inter').value = contenu.getAttribute('Nom_Inter');
			document.getElementById('Prenom_Inter').value = contenu.getAttribute('Prenom_Inter');

      var label = "Facture cre le "+ contenu.getAttribute('Date_Creation');
      label += " par "+ contenu.getAttribute('Login_Createur');
			document.getElementById('Creation').label = label;
			document.getElementById('Modification').label = "Dernire modification le "+ contenu.getAttribute('Date_Maj') +" par "+ contenu.getAttribute('Login_Maj');
			document.getElementById('Modification').collapsed = false;
			document.getElementById('Creation').collapsed = false;			
		  document.getElementById('Fiche').label = "Facture N "+ numero;
			
			setModifie(false);

			calculTotaux();
		}
			
	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#chargerFacture : ' + e);
  }
}

function init_tree_temp() {
  try {
    
    var paramlist = "&Page=Facturation/GetRDF/articles_facture.tmpl&ContentType=xml";
    paramlist += "&Facture_Id=" + facture_id ;
    paramlist += "&Temp=true";
    load_rdf_async('articles', getUrlOpeneas(paramlist), calculTotaux);

  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#init_tree_temp : ' + e);
  }
}

function visualiserFacture() {
  try {
	
		var tree = document.getElementById("articles");
	
		if (tree.view==null || tree.view.rowCount<=0) {
			showWarning("La facture ne contient aucune ligne !");
		}
		else {
		
			var param_retour = "&Responsable="+ document.getElementById('Login_Resp').value;
		
			var page = "chrome://opensi/content/facturation/user/factu_directe/facture.xul?" + cookie();
      page += "&Facture_Id="+ facture_id;
      page += "&Mode=V";
      page += "&ParamRetour="+ urlEncode(param_retour);
	  	window.location = page;
		}
	
	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#visualiserFacture : ' + e);
  }
}


function editerCommentaire() {
  try {

		var tree = document.getElementById("articles");
	
		if (tree.view!=null && tree.currentIndex!=-1) {
			
			var rank = tree.view.getCellText(tree.currentIndex,'ColRank');
			
			var url = "chrome://opensi/content/facturation/user/factu_directe/commentaire.xul?"+ cookie();
      url += "&Facture_Id="+ facture_id;
      url += "&Rank="+ rank;
    	window.openDialog(url,'','chrome,modal');
			
			delete_tree();
			init_tree_temp();
			ajouterLigne("I");
			setModifie(true);
		}
		else {
			showWarning("Aucun article ou commentaire slectionn !");
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#editerCommentaire : ' + e);
  }
}


function retour_factures() {
  try {
	
    var page = "chrome://opensi/content/facturation/user/factu_directe/menu_factures.xul?" + cookie() ;
    window.location = page;
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#retour_factures : ' + e);
  }
}

function retour_menu_principal() {
  try {
	
    var page = "chrome://opensi/content/facturation/user/menu_principal.xul?" + cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
    window.location = page;
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/edition_facture.js#retour_menu_principal : ' + e);
  }
}