/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {    
  try {
   
  	init_tree('factures');
		init_tree('historique');
	 
  } catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_directe/menu_factures.js#init : ' + e);
  }
}


function nouvelle_facture() {    
  try {
   
		var page = "chrome://opensi/content/facturation/user/factu_directe/edition_facture.xul?" + cookie();
    page += "&Mode=C";
    window.location = page;
   
  } catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_directe/menu_factures.js#nouvelle_factures : ' + e);
  }
}


function rechercher_facture() {
  try {

		var url = "chrome://opensi/content/facturation/user/factu_directe/rech_facture.xul?" + cookie();
		window.openDialog(url,'','chrome,modal');
	
	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_directe/menu_factures.js#rechercher_facture : ' + e);
  }
}


function pressOnfactures(ev) {
  try {
	
		switch(ev.keyCode) {
      case 13: // 'Enter'
        ouvrir_factures();
        break;      
    }
		
	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_directe/menu_factures.js#pressOnfactures : ' + e);
  }
}


function pressOnHistorique(ev) {
  try {
	
		switch(ev.keyCode) {
      case 13: // 'Enter'
        ouvrir_factures_historique();
        break;      
    }
		
	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_directe/menu_factures.js#pressOnHistorique : ' + e);
  }
}


function ouvrir_facture_win(factures_id) {
  try {
	
    var page = "chrome://opensi/content/facturation/user/factu_directe/edition_facture.xul?";
    page += cookie();
    page += "&Factures_Id=" + factures_id;
    window.location = page;
	
	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_directe/menu_factures.js#ouvrir_facture_win : ' + e);
  }
}


function ouvrir_facture(tree_id) {
  try {
	
		var tree = document.getElementById(tree_id);
    var v = tree.view;
		
		if (v!=null && tree.currentIndex!=-1) {
		
			var facture_id = v.getCellText(tree.currentIndex,'ColFacture_Id');

			var page = "chrome://opensi/content/facturation/user/factu_directe/edition_facture.xul?";
      page += cookie();
      page += "&Facture_Id=" + facture_id;
      if (tree_id == 'historique') {
        page += "&Mode=V";
      }
      window.location = page;

		}
		
	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_directe/menu_factures.js#ouvrir_facture : ' + e);
  }
}


function init_tree(id_tree) {
  try {
    var paramlist = "&Page=Facturation/GetRDF/factures.tmpl&ContentType=xml";
    paramlist += "&Directe=1";
    paramlist += "&Etat="+ id_tree;
    load_rdf(id_tree, getUrlOpeneas(paramlist));

    document.getElementById(id_tree).builder.rebuild();
  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/menu_factures.js#init_tree : ' + e);
  }
}

function delete_tree(id_tree) {
  try {
    
    var database = document.getElementById(id_tree).database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/menu_factures.js#delete_tree : ' + e);
  }
}

function delete_tree_factures() {
  try {
    delete_tree("factures");		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/menu_factures.js#delete_tree_factures : ' + e);
  }
}



function delete_tree_historique() {
  try {
    delete_tree("historique");
  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_directe/menu_factures.js#delete_tree_historique : ' + e);
  }
}


function retour_menu_principal() {
  try {
	
    var page = "chrome://opensi/content/facturation/user/menu_principal.xul?" + cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
    window.location = page;
  
	} catch (e) {
    recup_erreur('erreur dans facturation/user/clients/menu_factures.js#retour_menu_principal : ' + e);
  }
}