/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {
	
		window.parent.document.getElementById('Loaded').setAttribute('label',nocache());
	
	} catch (e) {
		recup_erreur('erreur dans facturation/user/fournisseurs/articles_fournisseurs.js#init : ' + e);
	}	
}

function disableSup(b) {
	try {

		var tree = document.getElementById('articles');

		if (tree.contentView!=null && tree.currentIndex!=-1) {
			document.getElementById("bSupprimer").disabled = b;		
		}
	
	} catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/articles_fournisseurs.js#disableSup : ' + e);
  }
}


function ajouterArticle() {
  try {
	
    var url = "chrome://opensi/content/facturation/user/fournisseurs/rech_article.xul?" + cookie();
    window.openDialog(url,'Recherche article','chrome,modal');
    delete_tree();
    init_tree();
					
  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/articles_fournisseurs.js#ajouterArticle : ' + e);
  }
}

function supprimerArticle() {
  try {
    
  	var tree = document.getElementById('articles');
		
		if (tree.contentView!=null && tree.currentIndex!=-1) {
				
  		var selection = tree.contentView.getItemAtIndex(tree.currentIndex);
  		var Article_Id = selection.firstChild.firstChild.getAttribute('label');
  		var Fournisseur_Id = parent.document.getElementById('Fournisseur').value;
			
			if (window.confirm("Confirmez-vous la suppression de l'article "+Article_Id+" ?")) {
			
  			var corps = cookie() +"&Page=Facturation/Fournisseurs/supprimerArticle.tmpl&ContentType=xml&Fournisseur_Id="+ Fournisseur_Id +"&Article_Id="+ Article_Id;
  			var p = requeteHTTP(corps);
				
				if (p.status != "200") {
      		alert("Rception erreur " + p.status);
  			} 
				else {  
  				delete_tree();
  				init_tree();
				}
			}
		}
			
  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/articles_fournisseurs.js#supprimerArticle : ' + e);
  }
}


function init_tree() {
  try {
   
	  var fournisseur_id = parent.document.getElementById('Fournisseur').value;
	  var paramlist = "&Page=Facturation/GetRDF/articles_fournisseur.tmpl&ContentType=xml&Fournisseur_Id="+ urlEncode(fournisseur_id);
    
    load_rdf('articles', getUrlOpeneas(paramlist));
    document.getElementById('articles').builder.rebuild();
	
	} catch (e) {
		recup_erreur('erreur dans facturation/user/fournisseurs/articles_fournisseurs.js#init_tree : ' + e);
	}	
}

function delete_tree() {
  try {
    
	  var database = document.getElementById("articles").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
	  }
	
	} catch (e) {
		recup_erreur('erreur dans facturation/user/fournisseurs/articles_fournisseurs.js#delete_tree : ' + e);
	}	
}
