/******************************************************************************/
/* OpenSI Comptabilit? : Outils libre de comptabilit? d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fenetre <facturation/user/menu_principal.xul>
 *
 */
 
function init() {
  try {
	
	  parent.document.getElementById("nom_dossier").value = ParamValeur('Libelle');
    document.getElementById('bouton_clients').focus();
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/menu_principal.js#init : ' + e);
  }
}

function clients() {
  try {
    var page = "chrome://opensi/content/facturation/user/clients/menu_clients.xul?" + cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans facturation/user/menu_principal.js#clients : ' + e);
  }
}

function fournisseurs() {
  try {
    var page = "chrome://opensi/content/facturation/user/fournisseurs/menu_fournisseurs.xul?"+ cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans facturation/user/menu_principal.js#fournisseurs : ' + e);
  }
}

function stocks() {
  try {
    var page = "chrome://opensi/content/facturation/user/stocks/menu_stocks.xul?"+ cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans facturation/user/menu_principal.js#stocks : ' + e);
  }
}

function devis() {
  try {
    var page = "chrome://opensi/content/facturation/user/devis/menu_devis.xul?"+ cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans facturation/user/menu_principal.js#devis : ' + e);
  }
}

function commandes() {
  try {
    var page = "chrome://opensi/content/facturation/user/commandes/menu_commandes.xul?"+ cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans facturation/user/menu_principal.js#commandes : ' + e);
  }
}

function affaires() {
  try {
    var page = "chrome://opensi/content/facturation/user/affaires/menu_affaires.xul?"+ cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans facturation/user/menu_principal.js#affaires : ' + e);
  }
}

function factu_directe() {
  try {
    var page = "chrome://opensi/content/facturation/user/factu_directe/menu_factures.xul?"+ cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans facturation/user/menu_principal.js#factu_directe : ' + e);
  }
}

function facturation() {
  try {    
		var page = "chrome://opensi/content/facturation/user/facturation/facturation.xul?"+ cookie();
    window.location = page;		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/menu_principal.js#facturation : ' + e);
  }
}

function transfert() {
  try {    
		var page = "chrome://opensi/content/facturation/user/transfert/transfert.xul?"+ cookie();
    window.location = page;		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/menu_principal.js#transfert : ' + e);
  }
}

function tabbord() {
  try {    
		var page = "chrome://opensi/content/facturation/user/tabbord/menu.xul?"+ cookie();
    window.location = page;		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/menu_principal.js#tabbord : ' + e);
  }
}

function retour_menu_fact() {
	try {
		var page = "chrome://opensi/content/facturation/user/menu.xul?" + cookie();
    window.location = page;
	} catch (e) {
    recup_erreur('erreur dans facturation/user/menu_principal.js#retour_menu_fact : ' + e);
  }
}
