/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {
		
		document.getElementById('titre').value = 'PREFERENCES DU DOSSIER "'+ ParamValeur("Dossier_Id") +'"';
		chargerParametrage();

	} catch (e) {
    recup_erreur('erreur dans manager/gestion_dossiers/param_dossier.js#init : ' + e);
  }
}


function chargerParametrage() {
	try {
  
		var corps = cookie() + "&Page=Manager/ParamDossier/getParamDossier.tmpl&ContentType=xml&Dossier_Id="+ ParamValeur("Dossier_Id");
    var p = requeteHTTP(corps);

		if (p.status != "200") {
      alert("Rception erreur " + p.status);
    } 
  	else {			
    	var contenu = p.responseXML.documentElement;
			if (contenu.getAttribute('Mode_Tarif') == 'G') {
				document.getElementById('Mode_Tarif').selectedItem = document.getElementById('mtG');
			}
			else {
				document.getElementById('Mode_Tarif').selectedItem = document.getElementById('mtQ');
			}
			
			document.getElementById('Com_Fact').value = contenu.getAttribute('Com_Fact');
			
			document.getElementById('Imp_Nom_Fiche').checked = (contenu.getAttribute('Imp_Nom_Fiche')==1);
			document.getElementById('Imp_Nom_OF').checked = (contenu.getAttribute('Imp_Nom_OF')==1);
			document.getElementById('Imp_Nom_Facture').checked = (contenu.getAttribute('Imp_Nom_Facture')==1);
			document.getElementById('Imp_Nom_Bon').checked = (contenu.getAttribute('Imp_Nom_Bon')==1);
			document.getElementById('Imp_Nom_Devis').checked = (contenu.getAttribute('Imp_Nom_Devis')==1);
			
			document.getElementById('Imp_Desc1_Fiche').checked = (contenu.getAttribute('Imp_Desc1_Fiche')==1);
			document.getElementById('Imp_Desc1_OF').checked = (contenu.getAttribute('Imp_Desc1_OF')==1);
			document.getElementById('Imp_Desc1_Facture').checked = (contenu.getAttribute('Imp_Desc1_Facture')==1);
			document.getElementById('Imp_Desc1_Bon').checked = (contenu.getAttribute('Imp_Desc1_Bon')==1);
			document.getElementById('Imp_Desc1_Devis').checked = (contenu.getAttribute('Imp_Desc1_Devis')==1);
			
			document.getElementById('Imp_Desc2_Fiche').checked = (contenu.getAttribute('Imp_Desc2_Fiche')==1);
			document.getElementById('Imp_Desc2_OF').checked = (contenu.getAttribute('Imp_Desc2_OF')==1);
			document.getElementById('Imp_Desc2_Facture').checked = (contenu.getAttribute('Imp_Desc2_Facture')==1);
			document.getElementById('Imp_Desc2_Bon').checked = (contenu.getAttribute('Imp_Desc2_Bon')==1);
			document.getElementById('Imp_Desc2_Devis').checked = (contenu.getAttribute('Imp_Desc2_Devis')==1);
			
			document.getElementById('Coeff_1').value = contenu.getAttribute('Coeff_1');
			document.getElementById('Coeff_2').value = contenu.getAttribute('Coeff_2');
			document.getElementById('Coeff_3').value = contenu.getAttribute('Coeff_3');
			document.getElementById('Coeff_4').value = contenu.getAttribute('Coeff_4');
			document.getElementById('Coeff_5').value = contenu.getAttribute('Coeff_5');		
		}
	
	} catch (e) {
    recup_erreur('erreur dans manager/gestion_dossiers/param_dossier.js#chargerParametrage : ' + e);
  }
}


function enregistrerParametrage() {
	try {
  
		var mode_tarif = document.getElementById('Mode_Tarif').value;
	
		var corps = cookie() + "&Page=Manager/ParamDossier/modifierParamDossier.tmpl&ContentType=xml&Dossier_Id="+ ParamValeur("Dossier_Id");
		corps += "&Mode_Tarif="+ mode_tarif;
		corps += "&Com_Fact="+ urlEncode(document.getElementById('Com_Fact').value);	
		
		corps += "&Imp_Nom_Fiche="+ (document.getElementById('Imp_Nom_Fiche').checked?"1":"0");
		corps += "&Imp_Nom_OF="+ (document.getElementById('Imp_Nom_OF').checked?"1":"0");
		corps += "&Imp_Nom_Facture="+ (document.getElementById('Imp_Nom_Facture').checked?"1":"0");
		corps += "&Imp_Nom_Bon="+ (document.getElementById('Imp_Nom_Bon').checked?"1":"0");
		corps += "&Imp_Nom_Devis="+ (document.getElementById('Imp_Nom_Devis').checked?"1":"0");
		
		corps += "&Imp_Desc1_Fiche="+ (document.getElementById('Imp_Desc1_Fiche').checked?"1":"0");
		corps += "&Imp_Desc1_OF="+ (document.getElementById('Imp_Desc1_OF').checked?"1":"0");
		corps += "&Imp_Desc1_Facture="+ (document.getElementById('Imp_Desc1_Facture').checked?"1":"0");
		corps += "&Imp_Desc1_Bon="+ (document.getElementById('Imp_Desc1_Bon').checked?"1":"0");
		corps += "&Imp_Desc1_Devis="+ (document.getElementById('Imp_Desc1_Devis').checked?"1":"0");
		
		corps += "&Imp_Desc2_Fiche="+ (document.getElementById('Imp_Desc2_Fiche').checked?"1":"0");
		corps += "&Imp_Desc2_OF="+ (document.getElementById('Imp_Desc2_OF').checked?"1":"0");
		corps += "&Imp_Desc2_Facture="+ (document.getElementById('Imp_Desc2_Facture').checked?"1":"0");
		corps += "&Imp_Desc2_Bon="+ (document.getElementById('Imp_Desc2_Bon').checked?"1":"0");
		corps += "&Imp_Desc2_Devis="+ (document.getElementById('Imp_Desc2_Devis').checked?"1":"0");
		
		var coeff_1 = document.getElementById('Coeff_1').value;
		var coeff_2 = document.getElementById('Coeff_2').value;
		var coeff_3 = document.getElementById('Coeff_3').value;
		var coeff_4 = document.getElementById('Coeff_4').value;
		var coeff_5 = document.getElementById('Coeff_5').value;
		
		corps += "&Coeff_1="+ coeff_1 +"&Coeff_2="+ coeff_2 +"&Coeff_3="+ coeff_3 +"&Coeff_4="+ coeff_4 +"&Coeff_5="+ coeff_5;
		
		if (isEmpty(coeff_1) || !isPositive(coeff_1)) {
			showWarning("Coefficient tarifaire 1 incorrect !");
		}
		else if (isEmpty(coeff_2) || !isPositive(coeff_2)) {
			showWarning("Coefficient tarifaire 2 incorrect !");
		}
		else if (isEmpty(coeff_3) || !isPositive(coeff_3)) {
			showWarning("Coefficient tarifaire 3 incorrect !");
		}
		else if (isEmpty(coeff_4) || !isPositive(coeff_4)) {
			showWarning("Coefficient tarifaire 4 incorrect !");
		}
		else if (isEmpty(coeff_5) || !isPositive(coeff_5)) {
			showWarning("Coefficient tarifaire 5 incorrect !");
		}
		else {		
    	var p = requeteHTTP(corps);

			if (p.status != "200") {
      	alert("Rception erreur " + p.status);
    	} 
  		else {
				showMessage("Paramtres sauvegards !");
			}
		}
	
	} catch (e) {
    recup_erreur('erreur dans manager/gestion_dossiers/param_dossier.js#chargerParametrage : ' + e);
  }
}


function retour_menuManager() {
	try {
  	var page = "chrome://opensi/content/manager/menu_manager.xul?" + cookie();
  	window.location = page;
	} catch (e) {
    recup_erreur('erreur dans manager/gestion_dossiers/param_dossier.js#retour_menuManager : ' + e);
  }
}
