/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 *
 * @include chrome://opensi/content/util.js
 *
 */

function init() {
  try {
		document.getElementById('bouton_password').focus();		
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/menu_autres.js#init : ' + e);
  }
}

function goToMenu(numMenu) {
	try {
  	var page = "";

  	switch (numMenu) {
    	case 1: 
        page = "chrome://opensi/content/compta/user/autres/change_user_password.xul?" + cookie();
				window.location = page;
				break;
    	case 2: 
        page = "chrome://opensi/content/compta/user/autres/mail.xul?" + cookie();
				window.location = page;
				break;
			case 3: 
        page = "chrome://opensi/content/compta/user/autres/envoi_compta.xul?" + cookie();
				window.location = page;
				break;
			case 4:
        page = "chrome://opensi/content/compta/user/autres/reception_compta.xul?" + cookie();
				window.location = page;
				break;
			case 5: 
        page = "chrome://opensi/content/compta/user/autres/export.xul?" + cookie();
			  window.location = page;
				break;
			case 6: 
        page = "chrome://opensi/content/compta/util/regles_banque.xul";
        window.openDialog(page,'regles','chrome');
//        page = "chrome://opensi/content/compta/user/autres/importbank/importbank.xul?" + cookie();
//				window.location = page;
				break;
  	}

  	//window.location = page;
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/menu_autres.js#goToMenu : ' + e);
  }
}

function retour_menuPrincipal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/menu_autres.js#retour_menuPrincipal : ' + e);
  }
}

function retour_choixDossier() {
  try {
    var page = "chrome://opensi/content/compta/user/menu.xul?" + cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/menu_autres.js#retour_choixDossier : ' + e);
  }
}

function retour_choixExercice() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_dossier.xul?" + cookie();
    page += "&Libelle=" + parent.document.getElementById("nom_dossier").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/menu_autres.js#retour_choixExercice : ' + e);
  }
}
