/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/tab_bord/tresorerie.xul>
 *
 */

serveur = get_pref_ipserveur() + ":" + get_pref_porttomcat();

function init() {
  try {
		document.getElementById('date_bord').value = "AU "+ parent.document.getElementById('date_courante').value;
    var paramlist = "&Page=Compta/GetRDF/balance_agee.tmpl&ContentType=xml";
    load_rdf('grille', getUrlOpeneas(paramlist));
		
    var url_tab_tr = "&Page=Compta/Etats/Tab_TR.tmpl&ContentType=xul";
		document.getElementById('tab_tr').setAttribute("src", getUrlOpeneas(url_tab_tr));
		
    var url_tresorerie = "&Page=Compta/Etats/Tresorerie.tmpl&ContentType=xul";
		document.getElementById('tresorerie').setAttribute("src", getUrlOpeneas(url_tresorerie));
		
		
  } catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/tresorerie.js#init : ' + e);
  }
}

function reloadTabTR(d) {
	try {
    var url_tab_tr = "&Page=Compta/Etats/Tab_TR.tmpl&ContentType=xul";
		document.getElementById('tab_tr').setAttribute("src", getUrlOpeneas(url_tab_tr));
	} catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/tresorerie.js#reloadTabTR : ' + e);
  }
}

function generer_pdf() {
	try {
		alert("Prochainement disponible...");
	} catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/tresorerie.js#generer_pdf : ' + e);
  }
}

/*function retour_exercice() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_dossier.xul?" + cookie();
    page += "&Libelle=" + parent.document.getElementById("nom_dossier").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/tresorerie.js#retour_exercice : ' + e);
  }
}*/

function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie();
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/tresorerie.js#retour_menu_principal : ' + e);
  }
}

function retour_menu_tabbord() {
  try {
    var page = "chrome://opensi/content/compta/user/tab_bord/menu_bord.xul?" + cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/tresorerie.js#retour_menu_tabbord : ' + e);
  }
}

function balance(t) {
  try {
    var page = "chrome://opensi/content/compta/user/edition/options_balanceagee.xul?"+ cookie() +"&Type=" + t.label;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#balance : ' + e);
  }
}