/******************************************************************************/
/* OpenSI Comptabilit? : Outils libre de comptabilit? d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
  try {

    /*var x = (screen.width / 2) - 250;
    var y = (screen.height / 2) - 200;
    window.resizeTo(500,400);
    window.moveTo(x,y);*/
		
		window.sizeToContent();
		
		var x = (screen.width / 2) - (window.outerWidth / 2);
    var y = (screen.height / 2) - (window.outerHeight / 2);
		
		window.moveTo(x,y);
		
    document.getElementById('Nom').focus();
		
		document.getElementById('Civilite').selectedItem = document.getElementById('CiviliteM');
		document.getElementById('Relation').selectedItem = document.getElementById('RelationO');
		document.getElementById('Principal').selectedItem = document.getElementById('PrincipalNon');

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/ajouter_interlocuteur.js#init : ' + e);
  }
}


function creerInterlocuteur() {
  try {

		var client_id = ParamValeur("Client_Id");
		var civilite = document.getElementById('Civilite').value;
		var nom = document.getElementById('Nom').value;
		var prenom = document.getElementById('Prenom').value;
		var fonction = document.getElementById('Fonction').value;
		var relation = document.getElementById('Relation').value;
		var infos = document.getElementById('Infos').value;
		var adresse = document.getElementById('Adresse').value;
		var code_postal = document.getElementById('Code_Postal').value;
		var ville = document.getElementById('Ville').value;
		var pays = document.getElementById('Pays').value;
		var tel = document.getElementById('Tel').value;
		var portable = document.getElementById('Portable').value;
		var fax = document.getElementById('Fax').value;
		var email = document.getElementById('Email').value;
		var site_web = document.getElementById('Site_Web').value;
		var principal = document.getElementById('Principal').value;
		var age = document.getElementById('Age').value;
		
		var corps = cookie() + "&Page=Facturation/Clients/creerIntervenant.tmpl&ContentType=xml";
		
		corps += "&Client_Id="+ urlEncode(client_id) +"&Nom="+ urlEncode(nom) +"&Prenom="+ urlEncode(prenom) +"&Fonction="+ urlEncode(fonction);
		corps += "&Relation="+ relation +"&Infos="+ urlEncode(infos) +"&Principal="+ principal +"&Age="+ age;
		corps += "&Adresse="+ urlEncode(adresse) +"&Code_Postal="+ urlEncode(code_postal) +"&Ville="+ urlEncode(ville) +"&Pays="+ urlEncode(pays) +"&Tel="+ urlEncode(tel);
		corps += "&Portable="+ urlEncode(portable) +"&Fax="+ urlEncode(fax) +"&Email="+ urlEncode(email) +"&Site_Web="+ urlEncode(site_web)+"&Civilite="+ civilite;
    
		if (isEmpty(nom)) {
			showWarning("Veuillez spcifier le nom du contact !");
		}
		else {

			var p = requeteHTTP(corps);

			if (p.status != "200") {
  			alert("Rception erreur " + p.status);
			}
			else {
				var contenu = p.responseXML.documentElement;
				
				window.opener.charger_contacts(contenu.getAttribute('Num_Inter'));
				window.close();
			}
		}	

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/commentaire.js#ajouter_interlocuteur : ' + e);
  }
}
