/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
  try {

    var x = (screen.width / 2) - 400;
    var y = (screen.height / 2) - 150;
    window.resizeTo(800,300);
    window.moveTo(x,y);
       
    init_tree();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/choix_adresse.js#init : ' + e);
  }
}


function ouvrirAdresse() {
  try {
    
    var tree = document.getElementById("adresses");
		
		if (tree.view!=null && tree.currentIndex!=-1) {
	  
			window.opener.document.getElementById('Nom_Liv').value = tree.view.getCellText(tree.currentIndex,'ColRaison_Sociale');
   		window.opener.document.getElementById('Adresse_Liv').value = tree.view.getCellText(tree.currentIndex,'ColAdresse');
			window.opener.document.getElementById('Comp_Adresse_Liv').value = tree.view.getCellText(tree.currentIndex,'ColComp_Adresse');
			window.opener.document.getElementById('CP_Liv').value = tree.view.getCellText(tree.currentIndex,'ColCode_Postal');
			window.opener.document.getElementById('Ville_Liv').value = tree.view.getCellText(tree.currentIndex,'ColVille');
			window.opener.document.getElementById('Pays_Liv').value = tree.view.getCellText(tree.currentIndex,'ColPays');
			window.opener.document.getElementById('Receptionnaire').value = tree.view.getCellText(tree.currentIndex,'ColNom');

			window.opener.setModifie(true);
    	window.close();
		}
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/choix_adresse.js#ouvrirAdresse : ' + e);
  }
}


function pressOnTree(ev) {
  try {
	
    switch(ev.keyCode) {
      case 13: // 'Enter'
        ouvrirAdresse();
        break;
    }
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/choix_adresse.js#pressOnTree : ' + e);
  }
}


function init_tree() {
  try {
	
    var paramlist = "&Page=Facturation/GetRDF/adresses_livraison.tmpl&ContentType=xml";
    paramlist += "&Client_Id="+ urlEncode(ParamValeur("Client_Id"));
    load_rdf("adresses", getUrlOpeneas(paramlist));
    document.getElementById("adresses").builder.rebuild();
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/choix_adresse.js#init_tree : ' + e);
  }
}
