/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
  try {
  
		nouveauContact();
		window.parent.document.getElementById('Loaded').setAttribute('label',nocache());
      
  } catch (e) {
    recup_erreur('erreur dans facturation/user/clients/intervenant.js#init : ' + e);
  }      
}


function nouveauContact() {
	try {
		
		// initialisation valeurs par dfaut
	  document.getElementById('Civilite').selectedItem = document.getElementById('CiviliteM');
		document.getElementById('Nom').value = "";
		document.getElementById('Prenom').value = "";
		document.getElementById('Fonction').value = "";
		document.getElementById('Age').value = "";
		document.getElementById('Adresse').value = "";
		document.getElementById('Code_Postal').value = "";
		document.getElementById('Ville').value = "";
		document.getElementById('Pays').value = "";
		document.getElementById('Tel').value = "";
		document.getElementById('Portable').value = "";
		document.getElementById('Fax').value = "";
		document.getElementById('Email').value = "";
		document.getElementById('Site_Web').value = "";	
		document.getElementById('Relation').selectedItem = document.getElementById('RelationO');
		document.getElementById('Principal').selectedItem = document.getElementById('PrincipalNon');
		document.getElementById('Infos').value = "";		
	
		document.getElementById('bNouveau').collapsed = true;
		document.getElementById('bSupprimer').collapsed = true;
		document.getElementById('bModifier').collapsed = true;
		document.getElementById('bCreer').collapsed = false;
		
	} catch (e) {
    recup_erreur('erreur dans facturation/user/clients/intervenant.js#nouveauContact : ' + e);
  }
}


function pressOnTree(ev) {
	try {
		switch(ev.keyCode){
      case 13: // 'Enter'
        chargerContact();
        break;      
    }
 	} catch (e) {
    recup_erreur('erreur dans facturation/user/clients/intervenant.js#pressOnTree : ' + e);
  }
}


function init_tree() {
  try {	
		var client_id = parent.document.getElementById('Client').value;
		
    var paramlist = "&Page=Facturation/GetRDF/contacts_client.tmpl&ContentType=xml&Client_Id="+ client_id;    
    load_rdf('liste_inter', getUrlOpeneas(paramlist));
    document.getElementById('liste_inter').builder.rebuild();    
    
  } catch (e) {
    recup_erreur('erreur dans facturation/user/clients/intervenant.js#init_tree : ' + e);
  }
}


function delete_tree() {
  try {
    var database = document.getElementById("liste_inter").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
  } catch (e) {
    recup_erreur('erreur dans facturation/user/clients/intervenant.js#delete_tree : ' + e);
  }
}


function chargerContact() {
	try {
	
		var tree = document.getElementById('liste_inter');
		
		if (tree.contentView!=null && tree.currentIndex!=-1) {
		
			var selection = tree.contentView.getItemAtIndex(tree.currentIndex);
			var num_inter = selection.firstChild.firstChild.getAttribute('value');

			var client_id = parent.document.getElementById('Client').value;

			var corps = cookie() + "&Page=Facturation/Clients/afficherIntervenant.tmpl&ContentType=xml&Num_Inter="+ num_inter +"&Client_Id="+ client_id;

			var p = requeteHTTP(corps);              

  		if (p.status != "200") {
      	alert("Rception erreur " + p.status);
  		} 
			else {
    		contenu = p.responseXML.documentElement;

				document.getElementById('Num_Inter').value = contenu.getAttribute('Num_Inter');
				document.getElementById('Nom').value = contenu.getAttribute('Nom');
				document.getElementById('Prenom').value = contenu.getAttribute('Prenom');
				document.getElementById('Fonction').value = contenu.getAttribute('Fonction');
				if (contenu.getAttribute('Relation')=="H") {
					document.getElementById('Relation').selectedItem = document.getElementById('RelationH');
				}
				else {
					document.getElementById('Relation').selectedItem = document.getElementById('RelationO');
				}
				document.getElementById('Age').value = contenu.getAttribute('Age');
				document.getElementById('Infos').value = contenu.getAttribute('Infos');
				document.getElementById('Adresse').value = contenu.getAttribute('Adresse');
				document.getElementById('Code_Postal').value = contenu.getAttribute('Code_Postal');
				document.getElementById('Ville').value = contenu.getAttribute('Ville');
				document.getElementById('Pays').value = contenu.getAttribute('Pays');
				document.getElementById('Tel').value = contenu.getAttribute('Tel');
				document.getElementById('Portable').value = contenu.getAttribute('Portable');
				document.getElementById('Fax').value = contenu.getAttribute('Fax');
				document.getElementById('Email').value = contenu.getAttribute('Email');
				document.getElementById('Site_Web').value = contenu.getAttribute('Site_Web');
				
				if (contenu.getAttribute('Principal')=="1") {
					document.getElementById('Principal').selectedItem = document.getElementById('PrincipalOui');
				}
				else {
					document.getElementById('Principal').selectedItem = document.getElementById('PrincipalNon');
				}

				document.getElementById('bSupprimer').collapsed = false;
				document.getElementById('bModifier').collapsed = false;
				document.getElementById('bNouveau').collapsed = false;
				document.getElementById('bCreer').collapsed = true;

      	if (contenu.getAttribute("Civilite") == "1") {
      		document.getElementById("Civilite").selectedItem = document.getElementById("CiviliteM");
      	}
      	else {
        	if (contenu.getAttribute("Civilite") == "2"){
          	document.getElementById("Civilite").selectedItem = document.getElementById("CiviliteMme");
        	}
        	else{
          	document.getElementById("Civilite").selectedItem = document.getElementById("CiviliteMlle");
        	}
      	}
  		}
		}
	
 	} catch (e) {
    recup_erreur('erreur dans facturation/user/clients/intervenant.js#chargerContact : ' + e);
  }
}


function supprimerContact() {
	try {
	
		var num_inter = document.getElementById('Num_Inter').value;		
		var client_id = parent.document.getElementById('Client').value;
		var prenom = document.getElementById('Prenom').value;
		var nom = document.getElementById('Nom').value;		
		
		if (window.confirm("Confirmez-vous la suppression du contact '"+ prenom +" "+ nom +"' ?")) {
				
			var corps = cookie() + "&Page=Facturation/Clients/supprimerIntervenant.tmpl&ContentType=text&Client_Id="+ client_id +"&Num_Inter="+ num_inter;
			var p = requeteHTTP(corps);              

  		if (p.status != "200") {
      	alert("Rception erreur " + p.status);
  		} 
			else {
				document.getElementById('bSupprimer').collapsed = true;
				document.getElementById('bModifier').collapsed = true;
				document.getElementById('bCreer').collapsed = false;
				document.getElementById('bNouveau').collapsed = true;
				delete_tree();
				init_tree();
				nouveauContact();
  		}
		}
		
	} catch (e) {
    recup_erreur('erreur dans facturation/user/clients/intervenant.js#supprimerContact : ' + e);
  }
}


function enregistrerContact(mode) {
	try {
		
		var client_id = parent.document.getElementById('Client').value;
    var civilite = document.getElementById('Civilite').value;
		var nom = document.getElementById('Nom').value;
		var prenom = document.getElementById('Prenom').value;
		var fonction = document.getElementById('Fonction').value;
		var relation = document.getElementById('Relation').value;
		var infos = document.getElementById('Infos').value;
		var adresse = document.getElementById('Adresse').value;
		var code_postal = document.getElementById('Code_Postal').value;
		var ville = document.getElementById('Ville').value;
		var pays = document.getElementById('Pays').value;
		var tel = document.getElementById('Tel').value;
		var portable = document.getElementById('Portable').value;
		var fax = document.getElementById('Fax').value;
		var email = document.getElementById('Email').value;
		var site_web = document.getElementById('Site_Web').value;
		var principal = document.getElementById('Principal').value;
		var age = document.getElementById('Age').value;

		var corps;

		if (mode=="C") {
			corps = cookie() + "&Page=Facturation/Clients/creerIntervenant.tmpl&ContentType=xml";
		}
		else {		
			var num_inter = document.getElementById('Num_Inter').value;
			corps = cookie() + "&Page=Facturation/Clients/modifierIntervenant.tmpl&ContentType=text&Num_Inter="+ num_inter;
		}
		
		corps += "&Client_Id="+ urlEncode(client_id) +"&Nom="+ urlEncode(nom) +"&Prenom="+ urlEncode(prenom) +"&Fonction="+ urlEncode(fonction);
		corps += "&Relation="+ relation +"&Infos="+ urlEncode(infos) +"&Principal="+ principal +"&Age="+ age;
		corps += "&Adresse="+ urlEncode(adresse) +"&Code_Postal="+ urlEncode(code_postal) +"&Ville="+ urlEncode(ville) +"&Pays="+ urlEncode(pays) +"&Tel="+ urlEncode(tel);
		corps += "&Portable="+ urlEncode(portable) +"&Fax="+ urlEncode(fax) +"&Email="+ urlEncode(email) +"&Site_Web="+ urlEncode(site_web)+"&Civilite="+ civilite;
    
		if (isEmpty(nom)) {
			showWarning("Veuillez spcifier le nom du contact !");
		}
		else {		
			var p = requeteHTTP(corps);              

  		if (p.status != "200") {
      	alert("Rception erreur " + p.status);
  		} 
			else {    	
				if (mode=="C") {
					contenu = p.responseXML.documentElement;

					document.getElementById('Num_Inter').value = contenu.getAttribute('Num_Inter');

					document.getElementById('bCreer').collapsed = true;
					document.getElementById('bModifier').collapsed = false;
					document.getElementById('bNouveau').collapsed = false;
					document.getElementById('bSupprimer').collapsed = false;
				}
				else {
					//alert(trim(p.responseText));
				}
				delete_tree();
				init_tree();
  		}
		}
		
	} catch (e) {
    recup_erreur('erreur dans facturation/user/clients/intervenant.js#enregistrerContact : ' + e);
  }
}


