/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


var liste_reedition = "";

function init() {    
  try {
   
	 	var corps = cookie() + "&Page=Manager/ParamDossier/getParamDossier.tmpl&ContentType=xml&Dossier_Id="+ get_cookie("Dossier_Id");
		var p = requeteHTTP(corps);

		if (p.status != "200") {
  		alert("Rception erreur " + p.status);
		} 
		else {			
  		var contenu = p.responseXML.documentElement;
			document.getElementById('Date_Gen').value = "Dernire gnration le "+ contenu.getAttribute('Date_Gen');
			liste_reedition = contenu.getAttribute('Liste_Fact');
			
			if (isEmpty(liste_reedition)) {
				document.getElementById('bReediter').disabled = true;
			}
		}
		
  	init_tree();
	 
  } catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/facturation/facturation.js#init : ' + e);
  }
}


function generationTotale() {
  try {
	
		var textConf = "Confirmez-vous la gnration des factures de toutes les affaires en attente ?";
		//textConf += "\n\nAttention, seules les factures ";
	
		if (window.confirm(textConf)) {
			
			var corps = cookie() + "&Page=Facturation/Facturation/generation_factures.tmpl&ContentType=xml";
			var p = requeteHTTP(corps);

			if (p.status != "200") {
  			alert("Rception erreur " + p.status);
			} 
			else {			
  			var contenu = p.responseXML.documentElement;
				var liste_fact = contenu.getAttribute('Liste_Fact');
				
				if (isEmpty(liste_fact)) {
					showMessage("Aucune facture n'a t gnre");
				}
				else {
					var page = "chrome://opensi/content/facturation/user/facturation/factures.xul?"+ cookie() +"&Liste_Facture="+ liste_fact;
	  			window.location = page;
				}
			}			
		}
	
	} catch (e) {
    recup_erreur('erreur dans facturation/user/facturation/facturation.js#generationTotale : ' + e);
  }
}


function reediter() {
  try {
    
    var page = "chrome://opensi/content/facturation/user/facturation/factures.xul?"+ cookie() +"&Liste_Facture="+ liste_reedition;
	  window.location = page;
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/facturation/facturation.js#reediter : ' + e);
  }
}


function init_tree() {
  try {
    
    var paramlist = "&Page=Facturation/GetRDF/affaires_facturables.tmpl&ContentType=xml";
    load_rdf('affaires_facturables', getUrlOpeneas(paramlist));
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/facturation/facturation.js#init_tree : ' + e);
  }
}


function delete_tree() {
  try {
    
    var database = document.getElementById("affaires_facturables").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('affaires_facturables').builder.rebuild();
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/facturation/facturation.js#delete_tree : ' + e);
  }
}


function retour_menu_principal() {
  try {
	
    var page = "chrome://opensi/content/facturation/user/menu_principal.xul?" + cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
    window.location = page;
  
	} catch (e) {
    recup_erreur('erreur dans facturation/user/clients/menu_affaires.js#retour_menu_principal : ' + e);
  }
}
