/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


var liste_reedition = "";
var httpRequest;
var httpRequestCloture;

function init() {    
  try {
    var corps = cookie() + "&Page=Manager/ParamDossier/getParamDossier.tmpl&ContentType=xml";
    corps += "&Dossier_Id="+ get_cookie("Dossier_Id");
    httpRequest = new XMLHttpRequest();
    requeteHTTP(corps,httpRequest,suiteInit);
  } catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/transfert/transfert.js#init : ' + e);
  }
}

function suiteInit() {
  try {
		if (httpRequest.status != "200") {
  		alert("Rception erreur " + p.status);
		} else {			
  		var contenu = httpRequest.responseXML.documentElement;
			document.getElementById('Date_Factu').value = "Date de facturation en cours : "+ contenu.getAttribute('Date_Factu');
    }
  } catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/transfert/transfert.js#suiteInit : ' + e);
  }
}


function cloture() {
  try {
	
		var textConf = "Confirmez-vous la cloture du mois en cours ?";
		//textConf += "\n\nAttention, seules les factures ";
		if (window.confirm(textConf)) {
			var corps = cookie() + "&Page=Facturation/Transfert/cloture.tmpl&ContentType=xml";
      httpRequestCloture = new XMLHttpRequest();
      requeteHTTP(corps,httpRequestCloture,suiteCloture);
    }
	} catch (e) {
    recup_erreur('erreur dans facturation/user/transfert/transfert.js#cloture : ' + e);
  }
}

function suiteCloture() {
  try {
		if (httpRequestCloture.status != "200") {
 			alert("Rception erreur " + p.status);
		} else {			
 			var contenu = httpRequestCloture.responseXML.documentElement;
			showWarning(contenu.getAttribute('Msg'));
      init();
		}
	} catch (e) {
    recup_erreur('erreur dans facturation/user/transfert/transfert.js#suiteCloture : ' + e);
  }
}

function retour_menu_principal() {
  try {
	
    var page = "chrome://opensi/content/facturation/user/menu_principal.xul?" + cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
    window.location = page;
  
	} catch (e) {
    recup_erreur('erreur dans facturation/user/clients/menu_affaires.js#retour_menu_principal : ' + e);
  }
}