/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {
		document.getElementById('OldPassword').focus();
	} catch (e) {
    recup_erreur('erreur dans manager/autres_travaux/change_root_password.js#init : ' + e);
  }
}

function changeRootPassword() {
	try {
		var old_password = document.getElementById('OldPassword').value;
  	var password = document.getElementById('Password').value;
		var password2 = document.getElementById('Password2').value;	

		if (isEmpty(old_password) || isEmpty(password) || isEmpty(password2)) {
			alert('Vous devez remplir tous les champs !');
		}
		else if (password2 != password) {
			alert('Les mots de passe saisis sont diffrents !\nVeuillez reconfirmer le mot de passe');
			document.getElementById('Password2').value = '';
		}
		else if (window.confirm('Confirmez-vous le changement du mot de passe MANAGER ?')) {

  		var corps = cookie() + "&Page=Manager/ChangeRootPassword.tmpl&ContentType=text&OldPassword=" + old_password;
			corps += "&Password=" + password;

			var p = requeteHTTP(corps);

  		if ( p.status != "200" ) {
    		alert("Rception erreur " + p.status);
  		} 
			else {
				alert(trim(p.responseText));
			}

			var page  = "chrome://opensi/content/manager/menu_manager.xul?" + cookie();
  		window.location = page;
		}
	} catch (e) {
    recup_erreur('erreur dans manager/autres_travaux/change_root_password.js#changeRootPassword : ' + e);
  }
}

function retour_menuManager() {
  try {
		var page = "chrome://opensi/content/manager/menu_manager.xul?" + cookie();
  	window.location = page;
	} catch (e) {
    recup_erreur('erreur dans manager/autres_travaux/change_root_password.js#retour_menuManager : ' + e);
  }
}

function retour_menuAutres() {
	try {
  	var page = "chrome://opensi/content/manager/autres_travaux/menu_autres.xul?" + cookie();
  	window.location = page;
	} catch (e) {
    recup_erreur('erreur dans manager/autres_travaux/change_root_password.js#retour_menuAutres : ' + e);
  }
}
