/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

function init() {
	try {
		var x = (screen.width/3);
    var y = (screen.height/3);
    window.moveTo(x,y);
		
		var paramlist = "&Page=Compta/GetRDF/RechercheDossier.tmpl&ContentType=xml&Login=root";
		load_rdf('liste_dossiers', getUrlOpeneas(paramlist));
		setTimeout('focus_tree()', 200);
	} catch (e) {
    recup_erreur('erreur dans manager/gestion_utilisateurs/rech_dossier.js#init : ' + e);
  }
}

function focus_tree() {
  try {
    var v = document.getElementById('liste_dossiers');
    v.focus();
    v.view.selection.select(0);
  } catch (e) {
    recup_erreur('erreur dans compta/user/gestion_utilisateurs/rech_dossier.js#focus_tree : ' + e);
  }
}

function selectDossier() {
  try {
    var id = window.arguments[0];
		var tree = document.getElementById('liste_dossiers');
		var selection = tree.contentView.getItemAtIndex(tree.currentIndex);
    var val = selection.firstChild.firstChild.getAttribute("label");
    window.opener.document.getElementById(id).value = val;
		window.opener.document.getElementById(id).focus();
    window.close();
  } catch (e) {
    recup_erreur('erreur dans manager/gestion_utilisateurs/rech_dossier.js#selectDossier : ' + e);
  }
}

function keypress(e) {
  try {  
    switch (e.keyCode) {
      case 13: selectDossier(); break;
    }
  } catch (e) {
    recup_erreur('erreur dans manager/gestion_utilisateurs/rech_dossier.js#keypress : ' + e);
  }
}

